org.apache.uima.cas.impl

## Class FsIterator_singletype<T extends FeatureStructure>

- java.lang.Object
- - org.apache.uima.cas.impl.FsIterator_singletype<T>

- All Implemented Interfaces:
    Iterator<T>, ListIterator<T>, FSIterator<T>, LowLevelIterator<T>

      public abstract class FsIterator_singletype<T extends FeatureStructure>
      extends Object
      implements LowLevelIterator<T>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TypeImpl` | `ti`

    - ### Fields inherited from interface org.apache.uima.cas.impl.LowLevelIterator

      `FS_ITERATOR_LOW_LEVEL_EMPTY, IS_ORDERED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FsIterator_singletype(TypeImpl ti)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract FsIterator_singletype<T>` | `copy()` Copy this iterator.
    `protected void` | `maybeTraceCowUsingCopy(FsIndex_singletype<?> idx, CopyOnWriteIndexPart iteratorCopy)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.cas.impl.LowLevelIterator

      `getArrayList, getComparator, isIndexesHaveBeenUpdated, isMoveToSupported, ll_get, ll_getIndex, ll_indexSizeMaybeNotCurrent, ll_maxAnnotSpan, ll_remove, maybeReinitIterator, moveTo, moveTo, moveToFirst, moveToFirstNoReinit, moveToLast, moveToLastNoReinit, moveToNoReinit`

    - ### Methods inherited from interface org.apache.uima.cas.FSIterator

      `add, get, getNvc, getType, hasNext, hasPrevious, isValid, moveToNext, moveToNextNvc, moveToPrevious, moveToPreviousNvc, next, nextIndex, nextNvc, previous, previousIndex, previousNvc, remove, set, size, spliterator, stream`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Field Detail

    - #### ti

          protected final TypeImpl ti

  - ### Constructor Detail

    - #### FsIterator_singletype

          public FsIterator_singletype(TypeImpl ti)

  - ### Method Detail

    - #### maybeTraceCowUsingCopy

          protected void maybeTraceCowUsingCopy(FsIndex_singletype<?> idx,
                                                CopyOnWriteIndexPart iteratorCopy)

    - #### copy

          public abstract FsIterator_singletype<T> copy()

      Description copied from interface: `FSIterator`
      Copy this iterator.
      Specified by:
        `copy` in interface `FSIterator<T extends FeatureStructure>`
      Returns:
        A copy of this iterator, pointing at the same element.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.